Bug 836361 - Recommended partitioning scheme is not clear for edge cases
Recommended partitioning scheme is not clear for edge cases
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jack Reed
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 16:06 EDT by Giovanni Tirloni
Modified: 2013-06-17 01:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 18:47:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovanni Tirloni 2012-06-28 16:06:54 EDT
Description of problem:

"Installing Red Hat Enterprise Linux 6 for all architectures Edition 1.0"

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s2-diskpartrecommend-x86.html

The table which details the recommended partitioning scheme is not clear about edge cases like 2GB, 8GB and 64GB of RAM.

If I have 8GB of RAM, which rule will it match? That is not clear. Think about mathematical notation for limits (>, >=, <=, etc). 

We've had to actually build a machine with 8GB and check what Anaconda would set for the "swap --hibernation" option.
Comment 1 Giovanni Tirloni 2012-06-28 16:08:05 EDT
To make it clear, the amounts of RAM specified in the table overlap.
Comment 3 Jack Reed 2012-08-21 02:41:23 EDT
Vratislav, what would you recommend for such edge cases when the swap space is set manually to allow for hibernation? Use the higher or lower recommendation? Or would either suffice? 

Changing the ranges in the table to more incremental figures would be unwieldy; I expect a note above the table with the answer to my earlier question should sufficiently address this ambiguity.
Comment 4 Vratislav Podzimek 2012-08-21 05:21:21 EDT
(In reply to comment #3)
> Vratislav, what would you recommend for such edge cases when the swap space
> is set manually to allow for hibernation? Use the higher or lower
> recommendation? Or would either suffice?
The code in the installer uses the intervals as:

mem < 2 GB
2 GB <= mem < 8 GB
8 GB <= mem < 64 GB
mem >= 64GB

but the right value (for manual setting) depends on the load of the system. Obviously using bigger swap is safer (for hibernation), but wasting space.
Comment 5 Jack Reed 2012-08-26 23:40:05 EDT
Thanks for reporting this, Giovanni. I've made a few improvements to make this clearer.

Firstly, I've updated 'Table 9.2. Recommended Swap Space' to eliminate the overlaps. For example, 2GB-8GB of RAM has been replaced with > 2GB - 8GB, which is followed by > 8GB - 64GB. This clarifies which recommendations should be implemented for 2GB, 8GB, and 64GB of RAM.

Secondly, to account for Vratislav's suggestion that having more swap space is safer in edge cases, I have added the following paragraph beneath the table: 

"At the border between each range listed above (for example, a system with 2GB, 8GB, or 64GB of system RAM) discretion can be exercised with regard to chosen swap space and hibernation support. If your system resources allow for it, increasing the swap space may lead to better performance."

I hope that resolves the ambiguity. These changes will be available in the 6.4 edition of the Guide.
Comment 11 Jack Reed 2013-02-25 18:47:35 EST
This bug has been verified and implemented for 6.4, so I am changing the status to CLOSED CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.